Deployments.ai Docs
Providers

Show a connection grant

GET /v1/connection-grants/{id} · SDK getConnectionGrant · CLI deployments grant show

GET
/v1/connection-grants/{id}

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ConnectionGrantResponse

application/json
  1. response
authorizationVersion*integer
Range0 <= value
connectionId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
createdAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
externalAccountId*string
externalResourceConstraints*
id*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
providerKey*string
Match^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$
purpose*string
scopes*array<string>
status*string
Value in"active""revoked"
updatedAt*string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
Formatdate-time
version*integer
Range0 <= value
workspaceId*|

Granted workspace, or null when the grant covers every workspace in the environment.

curl -X GET "https://example.com/v1/connection-grants/string" \  -H "x-deployments-environment: string"
{  "authorizationVersion": 0,  "connectionId": "string",  "createdAt": "2019-08-24T14:15:22Z",  "externalAccountId": "string",  "externalResourceConstraints": {    "property1": null,    "property2": null  },  "id": "string",  "providerKey": "string",  "purpose": "string",  "scopes": [    "string"  ],  "status": "active",  "updatedAt": "2019-08-24T14:15:22Z",  "version": 0,  "workspaceId": "string"}